# Uses of Class
org.apache.qpid.proton.amqp.messaging.AmqpValue

Packages that use AmqpValue
Package
Description
org.apache.qpid.proton.codec.messaging

## Uses of AmqpValue in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return AmqpValue
Modifier and Type
Method
Description
`AmqpValue`
AmqpValueType.`newInstance(Object described)`
`AmqpValue`
FastPathAmqpValueType.`readValue()`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type AmqpValue
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<AmqpValue>>`
FastPathAmqpValueType.`getAllEncodings()`
`TypeEncoding<AmqpValue>`
FastPathAmqpValueType.`getCanonicalEncoding()`
`TypeEncoding<AmqpValue>`
FastPathAmqpValueType.`getEncoding(AmqpValue value)`
`Class<AmqpValue>`
AmqpValueType.`getTypeClass()`
`Class<AmqpValue>`
FastPathAmqpValueType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type AmqpValue
Modifier and Type
Method
Description
`TypeEncoding<AmqpValue>`
FastPathAmqpValueType.`getEncoding(AmqpValue value)`
`protected Object`
AmqpValueType.`wrap(AmqpValue val)`
`void`
FastPathAmqpValueType.`write(AmqpValue value)`